# -*- coding: iso-8859-1 -*-
## ----------------------------------------------------------------------
## PyCoinCoin - Plug-in URL Transformisateur
## ----------------------------------------------------------------------

import logging
log = logging.getLogger('pycc')
import sys
sys.path.append('..')
from coinlib.plugin import *

def build_plugins(pycc):
  return { \
    'TotozSmileys': TotozSmileys(pycc, "Smileys ala HFR", "Affiche les smileys hfr dans le pinnipde")
  }

class TotozSmileys(Plugin):
  
  def action_menu(self):
    cur_trib = self.pycc.bouchots[self.pycc.get_bouchot()].trib
    if cur_trib is None or not cur_trib.loaded: return
    todisp = not cur_trib.options.val('disp_smileys')
    print "----## smileys:", todisp
    cur_trib.options.set('disp_smileys', todisp)
    cur_trib.refresh_all()
  
  def process(self, bouchot, context=PINNI, post=None):
    if not bouchot.trib.options.val('disp_smileys'): return
    if post is None: return
    for tag in post.tags.keys():
      if tag[:7] == "smiley_":
        bouchot.trib.pinni.showSmiley(tag[7:])
  