from cointklib.widgets import *
from cointklib.dialogs import *

# ---------------- Test program -----------------------
class Essai(CoinDialog):

  def body(self, master):
    self.l = OrderedListBoxWithButtons(master, ['bonjour', 'allo', 'coucou'], height=4, width=15)
    self.l.pack()
    self.l.bind_new(lambda w=self: w.e.get())
    self.l.bind_delete(self.kikoo)
    self.e = Entry(master)
    self.e.pack()
    return self.e
  
  def validate(self):
    print "--- Dans Validate"
    if self.e.get() == "ok":
      return 1
    return 0
  
  def kikoo(self):
    print "Kikoooooo!!"
    if self.e.get() == "del":
      return 1
    return 0
  
  def new(self):
    print "--- Dans New"
    tmplist = [ 'Le Premier', 'Le Second', 'Le Troisieme', 'Le Quatrieme' ]
    self.selected = None
    SelectDialog(self, tmplist, "Coucou", "Slectionnez dans la liste", height=5, width=15)
    self.e.delete(0, END)
    self.e.insert(END, tmplist[int(self.selected)])
    self.l.addItem()

def openEssai():
  global root
  Essai(root, "Essai", [BUT_NEW, "Autre", BUT_OK, BUT_CLOSE])

if __name__ == "__main__":

  root = Tk()
  root.title("pyCoinCoin")
  root.selected = None
  fr = Frame(root)
  myimg = PhotoImage(file="pyccwiz.gif")
  Label(fr, image=myimg, border=2, relief=GROOVE).pack(side=LEFT, padx=2, pady=2)
  Button(fr, text="CoinDialog", command=openEssai).pack()
  fr.pack()
  root.mainloop()
  print root.selected
